Loading...
Searching...
No Matches
CLI::detail::wrapped_type< T, def, typename std::enable_if< is_wrapper< T >::value >::type > Struct Template Reference

Type size for regular object types that do not look like a tuple. More...

`#include <TypeTools.hpp>`

## Public Types

using | type = typename T::value_type

## Detailed Description

template<typename T, typename def>
struct CLI::detail::wrapped_type< T, def, typename std::enable_if< is_wrapper< T >::value >::type >

Type size for regular object types that do not look like a tuple.

## Member Typedef Documentation

## type

template<typename T, typename def>

using CLI::detail::wrapped_type< T, def, typename std::enable_if< is_wrapper< T >::value >::type >::type = typename T::value_type

The documentation for this struct was generated from the following file:

- include/CLI/TypeTools.hpp